NPM-RESTART(1)

NAME
npm-restart - Restart a package

  Synopsis

    npm restart [-- <args>]

  Description

This restarts a project. It is equivalent to running npm run-script restart.

If the current project has a "restart" script specified in package.json, then the following scripts will be run:

    1.  prerestart

    2.  restart

    3.  postrestart

If it does not have a "restart" script specified, but it does have stop and/or start scripts, then the following scripts will be run:

    1.  prerestart

    2.  prestop

    3.  stop

    4.  poststop

    5.  prestart

    6.  start

    7.  poststart

    8.  postrestart

  See Also

    •   npm help run-script

    •   npm help scripts

    •   npm help test

    •   npm help start

    •   npm help stop

    •   npm help restart